<?php
 


class Limex_Advr_Block_Adminhtml_Block_Chart_Column
    extends Limex_Advr_Block_Adminhtml_Block_Chart_Abstract
{
    public function _prepareLayout()
    {
        $this->setTemplate('mst_advr/block/chart/column.phtml');
        
        return parent::_prepareLayout();
    }

    // public function getXAxis()
    // {
    //     $axis = array();
    //     $columns = $this->getColumns();
    //     if (isset($columns[$this->getXAxisField()])) {
    //         $column = $columns[$this->getXAxisField()];

    //         foreach ($this->getCollection() as $row) {
    //             $axis[] = $column->getRowField($row);
    //         }
    //     }

    //     return $axis;
    // }

    public function getDataTable()
    {
        $array = array();

        $columns = $this->getColumns();

        $row = array();

        $row[] = $this->getXAxisType();
        
        foreach ($columns as $index => $column) {
            if ($this->_isColumnAllowed($column)) {
                $row[] = $column->getHeader();
            }
        }
    
        $array[] = ($row);

        foreach ($this->getCollection() as $itm) {
            $row = array();

            if (isset($columns[$this->getXAxisField()])) {
                $xColumn = $columns[$this->getXAxisField()];
                $row[] = str_replace('<br>', "\n", $xColumn->getRowField($itm));
            }
            

            foreach ($columns as $index => $column) {
                if ($this->_isColumnAllowed($column)) {
                    $value  = floatval($itm->getData($index));

                    $row[] = $value;
                }
            }

            $array[] = ($row);
        }

        return $array;
    }

    public function getDefaultSeries()
    {
        $series = array();

        $idx = 1;
        $total = 0;

        foreach ($this->getColumns() as $index => $column) {
            if (!in_array($column->getType(), array('number', 'currency'))) {
                continue;
            }

            if ($column->getChart() === 'none') {
                continue;
            }

            if ($column->getChart()) {
                $series[] = $idx;
            }

            $idx++;
        }

        # revert
        // foreach ($series as $k => $v) {
        //     $series[$k] = $idx - $v;
        // }

        return $series;
    }

}