<?php
 


class Limex_Advr_Model_Resource_Postcode extends Mage_Core_Model_Mysql4_Abstract
{
    protected function _construct()
    {
        $this->_init('advr/postcode', 'postcode_id');
    }

    protected function _beforeSave(Mage_Core_Model_Abstract $object)
    {
        $object->setData('postcode', preg_replace("/[^A-Z0-9]/", "", strtoupper($object->getData('postcode'))));

        $names = array('state', 'province', 'place', 'community');
        foreach ($names as $name) {
            $object->setData($name, Mage::helper('advr/geo')->formatName($object->getData($name)));
        }

        return parent::_beforeSave($object);
    }
}